using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ImageBlockz.Gui
{
    public partial class EmptyBlock : UserControl
    {
        private ContextMenuStrip contextMenu;

        public EmptyBlock()
        {
            InitializeComponent();
        }

        public EmptyBlock(ContextMenuStrip contextMenu) : this()
        {
            this.contextMenu = contextMenu;
        }

        private void EmptyBlock_MouseClick(object sender, MouseEventArgs e)
        {
            contextMenu.Show(this, e.Location);
        }
    }
}
